#
# spec file for package mp3blaster
#
# Copyright (c) 2017 Packman Team <packman@links2linux.de>
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.links2linux.org/
#


Name:           mp3blaster
Version:        3.2.5
Release:        5.1
Summary:        Command Line MP3 Player
License:        GPL-2.0
Group:          Productivity/Multimedia/Sound/Players
Url:            http://mp3blaster.sourceforge.net/
Source:         http://switch.dl.sourceforge.net/sourceforge/mp3blaster/%{name}-%{version}.tar.bz2
Patch0:         mp3blaster-3.2.5-invalid_conversion.patch
Patch1:         mp3blaster-charmap.patch
Patch2:         mp3blaster-fix_missing_return_in_nonvoid_functions.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  libsidplay1-devel
BuildRequires:  libtool
BuildRequires:  libvorbis-devel
BuildRequires:  lirc
BuildRequires:  ncurses-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} > 1110
BuildRequires:  lirc-devel
%endif

%description
MP3blaster is a full-featured MP3 player for all you guys that do not
like graphical user interfaces.

%prep
%setup -q
%patch0 -p1
%patch1
%patch2

%build
autoreconf -fiv
export CFLAGS="%{optflags} -fno-strict-aliasing"
export CPPFLAGS="-std=gnu++98 $CFLAGS"
%configure --with-lirc
make %{?_smp_mflags}

pushd doc/charmap
make %{?_smp_mflags} -f makefile.charmap \
    CC="gcc" \
    OPTFLAGS="%{optflags}"
popd #doc/charmap

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

install -d "%{buildroot}%{_libdir}/%{name}"
install -m0755 doc/charmap/{chargen,maketbl} "%{buildroot}%{_libdir}/%{name}/"
install -m0644 doc/charmap/README README.charmap
sed -i 's|@@LIBDIR@@|%{_libdir}/%{name}|g' README.charmap

rm -rf "%{buildroot}%{_datadir}/mp3blaster/charmap"


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README TODO BUGS CREDITS FAQ
%doc README.charmap
%{_bindir}/mp3blaster
%{_bindir}/nmixer
%{_bindir}/mp3tag
%{_bindir}/splay
%{_libdir}/mp3blaster
%{_datadir}/mp3blaster
%{_mandir}/man1/mp3blaster.1*
%{_mandir}/man1/nmixer.1*
%{_mandir}/man1/splay.1*

%changelog
* Sat Jan  7 2017 aloisio@gmx.com
- Fixed TW build
- Spec cleanup
* Tue Oct 21 2014 avvissu@yandex.ru
- Remove suse_update_config to fix build
- Spec file cleanup
* Sat May 19 2012 seife+obs@b1-systems.com
- fix Factory build by adding autoconf automake libtool buildreq
* Sun Dec 13 2009 pascal.bleser@opensuse.org
- tidying up
* Fri Nov 13 2009 detlef@links2linux.de
- update to 3.2.5
  * minor compilation fixes from freebsd ports maintainer Roman Bogorodskiy
  * Fixed bug in buffering code when using SDL as audio output; this fixes
    possible hickups in such cases.
  * When changing back directories in the file browser, jump to the.
    position in the file list the user came from..
  * Reduced number of warnings using newer g++ versions
* Fri Jun 27 2008 henne@links2linux.de
- fix some missing includes
* Wed Dec 20 2006 henne@links2linux.de
- update to 3.2.3
* Wed Mar 22 2006 henne@links2linux.de
- update to 3.2.2
* Thu Mar 16 2006 henne@links2linux.de
- update to 3.2.1
* Tue Sep 20 2005 henne@links2linux.de
- First packman release
